# Copyright © 2016, 2018-2019 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=6

inherit cmake-utils gnome2

DESCRIPTION="Evolution module for connecting to Microsoft Exchange"
HOMEPAGE="https://wiki.gnome.org/Apps/Evolution"

LICENSE="LGPL-3"
KEYWORDS="~amd64"
SLOT="0"

RDEPEND=">=gnome-extra/evolution-data-server-$PV:0=
	>=mail-client/evolution-$PV:2.0
	>=net-libs/libmapi-2
	<dev-libs/libical-3:="

DEPEND="$RDEPEND
	virtual/pkgconfig"

src_prepare () {
	cmake-utils_src_prepare
	gnome2_src_prepare
}

src_configure () {
	cmake-utils_src_configure
}

src_compile () {
	cmake-utils_src_compile
}

src_test () {
	cmake-utils_src_test
}

src_install () {
	cmake-utils_src_install
}
